org.keycloak.storage

## Class StorageId

- java.lang.Object
- - org.keycloak.storage.StorageId

- All Implemented Interfaces:
    Serializable

      public class StorageId
      extends Object
      implements Serializable

  Version:
    $Revision: 1 $
  Author:
    Bill Burke
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StorageId(String id)`
    `StorageId(String providerId, String externalId)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `externalId(String keycloakId)`
    `String` | `getExternalId()`
    `String` | `getId()`
    `String` | `getProviderId()`
    `static boolean` | `isLocalStorage(UserModel user)`
    `static String` | `keycloakId(ComponentModel model, String externalId)` generate the id string that should be returned by UserModel.getId()
    `static String` | `resolveProviderId(UserModel user)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StorageId

          public StorageId(String id)

    - #### StorageId

          public StorageId(String providerId,
                           String externalId)

  - ### Method Detail

    - #### keycloakId

          public static String keycloakId(ComponentModel model,
                                          String externalId)

      generate the id string that should be returned by UserModel.getId()
      Parameters:
        `model` -
        `externalId` - id used to resolve user in external storage
      Returns:

    - #### externalId

          public static String externalId(String keycloakId)

    - #### resolveProviderId

          public static String resolveProviderId(UserModel user)

    - #### isLocalStorage

          public static boolean isLocalStorage(UserModel user)

    - #### getId

          public String getId()

    - #### getProviderId

          public String getProviderId()

    - #### getExternalId

          public String getExternalId()

Copyright © 2016 JBoss by Red Hat. All rights reserved.